| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# IG::Num::SpeedTestCpu Class Reference

Various utilities for testing computational speed of the current system. More...

List of all members.

## Static Public Member Functions
static double | TestComputationalTimesQR (int numEq, int outLevel)
| Test of QR decomposition. Writes times necessary for all steps.
static double | TestComputationalTimesQR (int numEq, int outLevel, bool testProduct)
| Test of QR decomposition, also measures time necessary fo rindividual operations.
static double | TestComputationalTimesLU (int numEq, int outLevel)
| Test of LU decomposition.
static double | TestComputationalTimesLU (int numEq, int outLevel, bool testProduct)
| Test of LU decomposition.
static double | TestComputationalTimesCholesky (int numEq, int outLevel)
| Test of Cholesky decomposition, also measures time necessary fo rindividual operations.
static double | TestComputationalTimesCholesky (int numEq, int outLevel, bool testProduct)
| Test of Cholesky decomposition, also measures time necessary fo rindividual operations.
static double | TestComputationalTimesLU_IGLib (int numEq, int outLevel)
| Test of LU decomposition.
static double | TestComputationalTimesLU_IGLib (int numEq, int outLevel, bool testProduct)
| Test of LU decomposition.
static double | TestComputationalTimesQR_IGLib (int numEq, int outLevel)
| Test of QR decomposition, also measures time necessary fo rindividual operations.
static double | TestComputationalTimesQR_IGLib (int numEq, int outLevel, bool testProduct)
| Test of QR decomposition, also measures time necessary fo rindividual operations.
static double | TestComputationalTimesCholesky_IGLib (int numEq, int outLevel)
| Test of Cholesky decomposition, also measures time necessary fo rindividual operations.
static double | TestComputationalTimesCholesky_IGLib (int numEq, int outLevel, bool testProduct)
| Test of Cholesky decomposition, also measures time necessary fo rindividual operations.
static void | ExampleMathNetNumericsLU ()
| Example of how to use LU decomposition from Math.NET numerics.
static void | ExampleMathNetNumericsQR ()
| Example of how to use QR decomposition from Math.NET numerics.
static void | ExampleMathNetNumericsEVD ()
| Example of how to use EVD (eigenvalue decomposition) from Math.NET Numerics.
static void | ExampleMathNetNumericsSVD ()
| Example of how to use SVD ( singular value decomposition) from Math.NET numerics.
static void | ExampleMathNetNumericsCholesky ()
| Example of how to use Choleski decomposition from Math.NET Numerics.

## Detailed Description

Various utilities for testing computational speed of the current system.

$A Igor xx Feb08;

## Member Function Documentation

static double IG::Num::SpeedTestCpu::TestComputationalTimesQR | ( | int | numEq,
|  | int | outLevel
| ) |  | `[inline, static]`

Test of QR decomposition. Writes times necessary for all steps.

Parameters:

  numEq | Number of equations to be solved with decomposition.
  outLevel | Level of output.

Returns:
  Total time spent for all operations.

static double IG::Num::SpeedTestCpu::TestComputationalTimesQR | ( | int | numEq,
|  | int | outLevel,
|  | bool | testProduct
| ) |  | `[inline, static]`

Test of QR decomposition, also measures time necessary fo rindividual operations.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.
  testProduct | If true then it is tested if the product of factors gives the original matrix. Otherwise, this test is skipped.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesLU | ( | int | numEq,
|  | int | outLevel
| ) |  | `[inline, static]`

Test of LU decomposition.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesLU | ( | int | numEq,
|  | int | outLevel,
|  | bool | testProduct
| ) |  | `[inline, static]`

Test of LU decomposition.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.
  testProduct | If true then it is tested if the product of factors gives the original matrix. Otherwise, this test is skipped.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesCholesky | ( | int | numEq,
|  | int | outLevel
| ) |  | `[inline, static]`

Test of Cholesky decomposition, also measures time necessary fo rindividual operations.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesCholesky | ( | int | numEq,
|  | int | outLevel,
|  | bool | testProduct
| ) |  | `[inline, static]`

Test of Cholesky decomposition, also measures time necessary fo rindividual operations.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.
  testProduct | If true then it is tested if the product of factors gives the original matrix. Otherwise, this test is skipped.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesLU_IGLib | ( | int | numEq,
|  | int | outLevel
| ) |  | `[inline, static]`

Test of LU decomposition.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesLU_IGLib | ( | int | numEq,
|  | int | outLevel,
|  | bool | testProduct
| ) |  | `[inline, static]`

Test of LU decomposition.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.
  testProduct | If true then it is tested if the product of factors gives the original matrix. Otherwise, this test is skipped.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesQR_IGLib | ( | int | numEq,
|  | int | outLevel
| ) |  | `[inline, static]`

Test of QR decomposition, also measures time necessary fo rindividual operations.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesQR_IGLib | ( | int | numEq,
|  | int | outLevel,
|  | bool | testProduct
| ) |  | `[inline, static]`

Test of QR decomposition, also measures time necessary fo rindividual operations.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.
  testProduct | If true then it is tested if the product of factors gives the original matrix. Otherwise, this test is skipped.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesCholesky_IGLib | ( | int | numEq,
|  | int | outLevel
| ) |  | `[inline, static]`

Test of Cholesky decomposition, also measures time necessary fo rindividual operations.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.

Returns:
  Total wallclock time (in seconds) spent for the test.

static double IG::Num::SpeedTestCpu::TestComputationalTimesCholesky_IGLib | ( | int | numEq,
|  | int | outLevel,
|  | bool | testProduct
| ) |  | `[inline, static]`

Test of Cholesky decomposition, also measures time necessary fo rindividual operations.

Parameters:

  outLevel | Level of output.
  numEq | Number of equations to be solved with decomposition.
  testProduct | If true then it is tested if the product of factors gives the original matrix. Otherwise, this test is skipped.

Returns:
  Total wallclock time (in seconds) spent for the test.

static void IG::Num::SpeedTestCpu::ExampleMathNetNumericsLU | ( |  | ) | `[inline, static]`

Example of how to use LU decomposition from Math.NET numerics.

See also:
  http://en.wikipedia.org/wiki/LU_decomposition

LU decomposition

See also:
  http://en.wikipedia.org/wiki/Invertible_matrix

Invertible matrix

static void IG::Num::SpeedTestCpu::ExampleMathNetNumericsQR | ( |  | ) | `[inline, static]`

Example of how to use QR decomposition from Math.NET numerics.

See also:
  http://en.wikipedia.org/wiki/QR_decomposition

QR decomposition

static void IG::Num::SpeedTestCpu::ExampleMathNetNumericsEVD | ( |  | ) | `[inline, static]`

Example of how to use EVD (eigenvalue decomposition) from Math.NET Numerics.

See also:
  http://en.wikipedia.org/wiki/Eigenvalue,_eigenvector_and_eigenspace

EVD decomposition

static void IG::Num::SpeedTestCpu::ExampleMathNetNumericsSVD | ( |  | ) | `[inline, static]`

Example of how to use SVD ( singular value decomposition) from Math.NET numerics.

See also:
  http://en.wikipedia.org/wiki/Singular_value_decomposition

SVD decomposition

static void IG::Num::SpeedTestCpu::ExampleMathNetNumericsCholesky | ( |  | ) | `[inline, static]`

Example of how to use Choleski decomposition from Math.NET Numerics.

See also:
  http://en.wikipedia.org/wiki/Cholesky_decomposition

Cholesky decomposition

The documentation for this class was generated from the following file:

- TestSpeed.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events